org.wso2.carbon.device.mgt.mobile.windows.api.services.impl

## Class ConfigurationMgtServiceImpl

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.impl.ConfigurationMgtServiceImpl

- All Implemented Interfaces:
    ConfigurationMgtService

      public class ConfigurationMgtServiceImpl
      extends Object
      implements ConfigurationMgtService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationMgtServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getConfiguration(String ifModifiedSince)` Retrieve Tenant configurations according to the device type.
    `javax.ws.rs.core.Response` | `getLicense(String ifModifiedSince)`
    `javax.ws.rs.core.Response` | `updateConfiguration(org.wso2.carbon.device.mgt.common.configuration.mgt.PlatformConfiguration windowsPlatformConfiguration)` Update Tenant Configurations for the specific Device type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationMgtServiceImpl

          public ConfigurationMgtServiceImpl()

  - ### Method Detail

    - #### getConfiguration

          public javax.ws.rs.core.Response getConfiguration(@HeaderParam(value="If-Modified-Since")
                                                   String ifModifiedSince)

      Retrieve Tenant configurations according to the device type.
      Specified by:
        `getConfiguration` in interface `ConfigurationMgtService`
      Returns:
        Tenant configuration object contains specific tenant configurations.
      Throws:
        `WindowsConfigurationException`

    - #### updateConfiguration

          public javax.ws.rs.core.Response updateConfiguration(org.wso2.carbon.device.mgt.common.configuration.mgt.PlatformConfiguration windowsPlatformConfiguration)
                                                        throws WindowsConfigurationException

      Update Tenant Configurations for the specific Device type.
      Specified by:
        `updateConfiguration` in interface `ConfigurationMgtService`
      Parameters:
        `configurations` - to be updated.
      Returns:
        Response message.
      Throws:
        `WindowsConfigurationException`

    - #### getLicense

          public javax.ws.rs.core.Response getLicense(@HeaderParam(value="If-Modified-Since")
                                             String ifModifiedSince)

      Specified by:
        `getLicense` in interface `ConfigurationMgtService`

Copyright © 2017 WSO2. All rights reserved.